Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class StringActionCondition

    java.lang.Object
      oracle.ifs.utils.action.AbstractActionCondition
          oracle.ifs.utils.action.StringActionCondition

All Implemented Interfaces:
  ActionCondition

    public class StringActionCondition

extends AbstractActionCondition

An ActionCondition type that operates on Strings. Valid operations on the left and right operands and their semantics are defined as static member variables of the class. Those operations are:

- EQUAL
- NOT_EQUAL
- STARTS_WITH
- ENDS_WITH
- CONTAINS
- MATCHES

Field Summary
`static java.lang.String` | `CONTAINS` Returns true if the left operand contains the right operand
`static java.lang.String` | `ENDS_WITH` Returns true if left_operand.endsWith(right_operand)
`static java.lang.String` | `EQUAL` Returns true if left_operand.equals(right_operand)
`static java.lang.String` | `MATCHES` Returns true if the left operand matches the regular expression defined by the right operand.
`static java.lang.String` | `NOT_EQUAL` Returns true if left_operand does not equal right_operand
`static java.lang.String` | `STARTS_WITH` Returns true if left_operand.startsWith(right_operand)

Fields inherited from class oracle.ifs.utils.action.AbstractActionCondition
`m_LeftOperand, m_Operation, m_RightOperand`

Constructor Summary
`StringActionCondition()` Creates a StringActionException that operats on two String operands and registers the valid operations that can be performed on the operands.

Method Summary
`boolean` | `evaluate()` Evaluates the action condition returning true if (left_operand operation right_operand) is successful.

Methods inherited from class oracle.ifs.utils.action.AbstractActionCondition
`addOperation, getLeftOperand, getOperation, getRightOperand, setLeftOperand, setOperation, setRightOperand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQUAL

    public static final java.lang.String EQUAL

  Description copied from class: `StringActionCondition`
  Returns true if left_operand.equals(right_operand)

  See Also:
    Constant Field Values

### NOT_EQUAL

    public static final java.lang.String NOT_EQUAL

  Description copied from class: `StringActionCondition`
  Returns true if left_operand does not equal right_operand

  See Also:
    Constant Field Values

### STARTS_WITH

    public static final java.lang.String STARTS_WITH

  Description copied from class: `StringActionCondition`
  Returns true if left_operand.startsWith(right_operand)

  See Also:
    Constant Field Values

### ENDS_WITH

    public static final java.lang.String ENDS_WITH

  Description copied from class: `StringActionCondition`
  Returns true if left_operand.endsWith(right_operand)

  See Also:
    Constant Field Values

### CONTAINS

    public static final java.lang.String CONTAINS

  Description copied from class: `StringActionCondition`
  Returns true if the left operand contains the right operand

  See Also:
    Constant Field Values

### MATCHES

    public static final java.lang.String MATCHES

  Description copied from class: `StringActionCondition`
  Returns true if the left operand matches the regular expression defined by the right operand. Not currently implemented.

  See Also:
    Constant Field Values

Constructor Detail

### StringActionCondition

    public StringActionCondition()

  Creates a StringActionException that operats on two String operands and registers the valid operations that can be performed on the operands. Initializes the default operation to EQUAL and the left and right operands to the empty String.

Method Detail

### evaluate

    public boolean evaluate()

  Description copied from class: `StringActionCondition`
  Evaluates the action condition returning true if (left_operand operation right_operand) is successful. Valid operations are defined as static final members of the class. The semantics of success for each operation are documented with the corrosponding member variable declarations.

  Returns:
    true if (left_operand operation right_operand) is successful.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD